com.microfocus.awm.meta.interfaces

## Enum EMassProcessing

- java.lang.Object
- - java.lang.Enum<EMassProcessing>
  - - com.microfocus.awm.meta.interfaces.EMassProcessing

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EMassProcessing>, org.eclipse.emf.common.util.Enumerator

      public enum EMassProcessing
      extends java.lang.Enum<EMassProcessing>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for mass processing: From Action, true, false
  See Also:
    `TaurusPackage.getEMassProcessing()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FALSE` The 'False' literal object.
    `FROM_ACTION` The 'From Action' literal object.
    `TRUE` The 'True' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FALSE_VALUE` The 'False' literal value.
    `static int` | `FROM_ACTION_VALUE` The 'From Action' literal value.
    `static int` | `TRUE_VALUE` The 'True' literal value.
    `static java.util.List<EMassProcessing>` | `VALUES` A public read-only list of all the 'EMass Processing' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EMassProcessing` | `get(int value)` Returns the 'EMass Processing' literal with the specified integer value.
    `static EMassProcessing` | `get(java.lang.String literal)` Returns the 'EMass Processing' literal with the specified literal value.
    `static EMassProcessing` | `getByName(java.lang.String name)` Returns the 'EMass Processing' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EMassProcessing` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EMassProcessing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FROM_ACTION

          public static final EMassProcessing FROM_ACTION

      The 'From Action' literal object.
      See Also:
        `FROM_ACTION_VALUE`

    - #### FALSE

          public static final EMassProcessing FALSE

      The 'False' literal object.
      See Also:
        `FALSE_VALUE`

    - #### TRUE

          public static final EMassProcessing TRUE

      The 'True' literal object.
      See Also:
        `TRUE_VALUE`

  - ### Field Detail

    - #### FROM_ACTION_VALUE

          public static final int FROM_ACTION_VALUE

      The 'From Action' literal value.
      See Also:
        `FROM_ACTION`, Constant Field Values

    - #### FALSE_VALUE

          public static final int FALSE_VALUE

      The 'False' literal value.
      See Also:
        `FALSE`, Constant Field Values

    - #### TRUE_VALUE

          public static final int TRUE_VALUE

      The 'True' literal value.
      See Also:
        `TRUE`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EMassProcessing> VALUES

      A public read-only list of all the 'EMass Processing' enumerators.

  - ### Method Detail

    - #### values

          public static EMassProcessing[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EMassProcessing c : EMassProcessing.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EMassProcessing valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EMassProcessing get(java.lang.String literal)

      Returns the 'EMass Processing' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EMassProcessing getByName(java.lang.String name)

      Returns the 'EMass Processing' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EMassProcessing get(int value)

      Returns the 'EMass Processing' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EMassProcessing>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.